<?php

if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! defined( 'CHERRYCHECKOUT_PLUGIN_ID' ) ) exit;

class CherryCheckoutLogger {

	public static function add( $message, $error_code) {

		$log = array(
			'post_type'		=> 'cherrycheckout_log',
			'post_parent'	=> 0,
			'post_status'	=> 'publish',
			'post_title'	=> $error_code,
			'post_content'	=> $message,
		);

		// store the log entry
		$log_id = wp_insert_post( $log );

		return $log_id;
	}

	public static function generateLogFile() {

		global $wp_version;
		global $woocommerce;

		$moduleData = get_plugin_data( CHERRYCHECKOUT_DIR . CHERRYCHECKOUT_PLUGIN_ID . '.php', false );

		try {
			// Create a file
			$filename = CHERRYCHECKOUT_DIR . 'log/' . date('Y-m-d-H-i-s') . '.txt';

			if ($file = fopen($filename, 'w')) {
				$separator = "---------------------------------------------------------------------------------\r\n";

				// Create summary
				fwrite($file, $separator);
				fwrite($file, "-- \t CherryCheckout Module for WordPress $wp_version / Woocommerce: $woocommerce->version\r\n");
				fwrite($file, "-- \r\n");
				fwrite($file, "-- \t Module :\t\t".$moduleData['Name']."\r\n");
				fwrite($file, "-- \t Version :\t\t".$moduleData['Version']."\r\n");
				fwrite($file, "-- \t Author :\t\t".$moduleData['Author']."\r\n");
				fwrite($file, "-- \t Generated at :\t\t".date('d/m/Y H:i:s')."\r\n");
				fwrite($file, $separator);
				fwrite($file, "\r\n");

				// Get all logs from this module
				$query_args = array(
					'post_type'		=> 'cherrycheckout_log',
					'post_parent'	=> 0,
					'post_status'	=> 'publish',
				);

				$logs = get_posts( $query_args );

				foreach ( $logs as $log ) {
					$line = '['.$log->post_date.'] '.$log->post_content.' (ERROR_CODE: '.$log->post_title.')';
					fwrite($file, $line."\r\n");
				}

				fwrite($file, "\r\n");
				fwrite($file, $separator);
				fclose($file);
				return str_replace(CHERRYCHECKOUT_DIR, CHERRYCHECKOUT_URL, $filename);
			}
			else {
				throw new \Exception('Unable to create log file');
			}
		}
		catch (\Exception $ex) {
			throw $ex;
		}
	}

}
