<?php

if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! defined( 'CHERRYCHECKOUT_PLUGIN_ID' ) ) exit;
if ( ! isset( $order_id ) ) exit;

try {
	$order = WC()->order_factory->get_order($order_id);
	$cherryFromOrder = _getCherryFromOrder($order);

	// No cherry product, stop there
	if( ! $cherryFromOrder ) {
		return;
	}

	// Test if config is correct
	$me = _getMe();

	// We have no me, stop there
	if ( ! $me ) {
		return;
	}

	$cherryPrice = (int)$cherryFromOrder['line_total'];
	$currency = get_woocommerce_currency();
	$customerId = $order->get_user_id();

	// Construct order to create
	$cherryApiOrder = array(
		'customer' => array(
			'firstname' => get_user_meta( $customerId, 'first_name', true ) ? get_user_meta( $customerId, 'first_name', true ) : get_user_meta( $customerId, 'nickname', true ),
			'lastname' => get_user_meta( $customerId, 'last_name', true ) ? get_user_meta( $customerId, 'last_name', true ) : get_user_meta( $customerId, 'nickname', true ),
			'email' => $order->get_user()->data->user_email,
		),
		'cherryPrice' => $cherryPrice,
		'orderPrice' => (float)( $order->get_total() - $cherryPrice ),
		'currency' => strtolower( $currency ),
		'trackId' => $order->id,
	);

	$customerGender = get_user_meta( $customerId, 'gender', true );

	if ( $customerGender ) {
		switch ( $customerGender ) {
			case 1:
				$cherryApiOrder['customer']['gender'] = 'm';
				break;
			case 2:
				$cherryApiOrder['customer']['gender'] = 'f';
				break;
		}
	}

	$customerBirthday = get_user_meta( $customerId, 'birthday', true );

	if ( $customerBirthday ) {
		$cherryApiOrder['customer']['birthday'] = $customerBirthday;
	}

	// Send order to API
	$cherrycheckoutApi = _initApi();
	$cherrycheckoutApi->createOrder( $cherryApiOrder );
}
catch (\Exception $ex) {
	CherryCheckoutLogger::add('[create-order.php] ERROR : ' . $ex->getMessage(), 310100);
}