<?php

if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! defined( 'CHERRYCHECKOUT_PLUGIN_ID' ) ) exit;

try {
	$me = _getMe();

	// We have no me, do not display anything
	if ( ! $me ) {
		return;
	}

	$priceScale = $me->contract->priceScale;
	$minimalCherries = _getMinimalCherriesRequiredAccordingToCart($priceScale);

	// Get the cherries already in cart
	$cherriesFromCart = _getCherryFromCart();

	// If we have no cherries in cart, show the plugin
	if ( ! $cherriesFromCart ) {

		// Show plugin without <script> part
		$pluginContent = _getPluginContent($me->plugin, $minimalCherries);
		$pluginContent = preg_replace('/<script(.*)<\/script>/ims', '', $pluginContent);

		echo $pluginContent;
	}
}
catch ( \Exception $ex ) {
	CherryCheckoutLogger::add('[display-plugin.php] ERROR : ' . $ex->getMessage(), 310200);
}
