<?php

if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! defined( 'CHERRYCHECKOUT_PLUGIN_ID' ) ) exit;

try {
	$me = _getMe();

	// We have no me, do not display anything
	if ( ! $me ) {
		return;
	}

	$productSettings = unserialize( get_option ( CHERRYCHECKOUT_PLUGIN_ID . '_product_settings' ) );

	$priceScale = $me->contract->priceScale;
	$minimalCherries = _getMinimalCherriesRequiredAccordingToCart($priceScale);

	// Get the cherries already in cart
	$cherriesFromCart = _getCherryFromCart();

	if ( isset($_POST['cherrycheckout_submit']) ) {

		// If contract V2, check the cherrycheckout_value
		if ( in_array( $me->contract->name, array('pragmaticCherryPrice', 'greatDonorCherryPrice') ) ) {

			if ( isset($_POST['cherrycheckout_value']) ) {

				if ( $cherriesFromCart ) {
					WC()->cart->remove_cart_item( $cherriesFromCart['cartItemKey'] );
				}

				// Add cherries in the cart
				$cartItemKey = WC()->cart->add_to_cart( $productSettings['productId'], (int)$_POST['cherrycheckout_value'] );
			}

		} else {
			// Else, contract V1, check the required cherryPrice
			if ( ( !$cherriesFromCart ) || ( $cherriesFromCart && $cherriesFromCart['quantity'] < $minimalCherries ) ) {

				if ( $cherriesFromCart ) {
					WC()->cart->remove_cart_item( $cherriesFromCart['cartItemKey'] );
				}

				// Add cherries in the cart
				$cartItemKey = WC()->cart->add_to_cart( $productSettings['productId'], $minimalCherries );
			}
		}
	}
}
catch ( \Exception $ex ) {
	CherryCheckoutLogger::add('[load-cart.php] ERROR : ' . $ex->getMessage(), 310300);
}
