<?php

if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! defined( 'CHERRYCHECKOUT_PLUGIN_ID' ) ) exit;
if ( ! isset( $order_id ) ) exit;

try {
	$order = WC()->order_factory->get_order($order_id);
	$cherryFromOrder = _getCherryFromOrder($order);

	// No cherry product, stop there
	if( ! $cherryFromOrder ) {
		return;
	}

	// Test if config is correct
	$me = _getMe();

	// We have no me, stop there
	if ( ! $me ) {
		return;
	}

	$settings = unserialize( get_option( CHERRYCHECKOUT_PLUGIN_ID . '_api_settings' ) );
	$statusApi = in_array( $order->post_status, $settings['cancelStatus'] ) ? 'canceled' : 'validated';

	$cherryApiOrder = array(
		'status' => $statusApi
	);

	$cherrycheckoutApi = _initApi();
	$cherrycheckoutApi->updateOrder( $order->id, $cherryApiOrder );
}
catch (\Exception $ex) {
	CherryCheckoutLogger::add('[update-order.php] ERROR : ' . $ex->getMessage(), 310600);
}